Create resolution link

Create a resolution link for the specified account. Resolution links are temporary, secure links sent to merchants to resolve account requirements such as KYC verification or document uploads. Only one active resolution link is allowed per connected account.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/profile.write, /accounts/{accountID}/representatives.write and /accounts/{accountID}/files.write scopes.

POST
/accounts/{accountID}/resolution-links
cURL TypeScript PHP Java Python Ruby .NET
curl -X POST "https://api.moov.io/accounts/{accountID}/resolution-links" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.04.00" \
  -d '{
  "recipient": {
    "phone": {
      "number": "5555555555",
      "countryCode": "1"
    }
  }
}'
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.resolutionLinks.create({
    accountID: "<id>",
    createResolutionLink: {
      recipient: {
        phone: {
          number: "5555555555",
          countryCode: "1",
        },
      },
    },
  });

  console.log(result);
}

run();
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$createResolutionLink = new Components\CreateResolutionLink(
    recipient: new Components\ResolutionLinkRecipient(
        phone: new Components\PhoneNumber(
            number: '5555555555',
            countryCode: '1',
        ),
    ),
);

$response = $sdk->resolutionLinks->create(
    accountID: '<id>',
    createResolutionLink: $createResolutionLink

);

if ($response->resolutionLink !== null) {
    // handle response
}
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.*;
import io.moov.sdk.models.errors.CreateResolutionLinkError;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.operations.CreateResolutionLinkResponse;
import java.lang.Exception;

public class Application {

    public static void main(String[] args) throws GenericError, CreateResolutionLinkError, Exception {

        Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

        CreateResolutionLinkResponse res = sdk.resolutionLinks().create()
                .accountID("<id>")
                .createResolutionLink(CreateResolutionLink.builder()
                    .recipient(ResolutionLinkRecipient.builder()
                        .phone(PhoneNumber.builder()
                            .number("5555555555")
                            .countryCode("1")
                            .build())
                        .build())
                    .build())
                .call();

        if (res.resolutionLink().isPresent()) {
            System.out.println(res.resolutionLink().get());
        }
    }
}
from moovio_sdk import Moov
from moovio_sdk.models import components


with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

    res = moov.resolution_links.create(account_id="<id>", recipient={
        "phone": {
            "number": "5555555555",
            "country_code": "1",
        },
    })

    # Handle response
    print(res)
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.resolution_links.create(account_id: '<id>', create_resolution_link: Models::Components::CreateResolutionLink.new(
  recipient: Models::Components::ResolutionLinkRecipient.new(
    phone: Models::Components::PhoneNumber.new(
      number: '5555555555',
      country_code: '1'
    )
  )
))

unless res.resolution_link.nil?
  # handle response
end
using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.ResolutionLinks.CreateAsync(
    accountID: "<id>",
    body: new CreateResolutionLink() {
        Recipient = new ResolutionLinkRecipient() {
            Phone = new PhoneNumber() {
                Number = "5555555555",
                CountryCode = "1",
            },
        },
    }
);

// handle response
200 400 401 403 404 409 422 429 500 504
The request completed successfully.
application/json
{
  "accountID": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
  "code": "bwebMOhZ85",
  "createdOn": "2026-07-01T12:00:00Z",
  "expiresOn": "2026-07-08T12:00:00Z",
  "partnerAccountID": "0d8e0d6e-e4a2-4f1b-8c3d-1b9e0f5a7c2d",
  "recipient": "15555555555",
  "updatedOn": "2026-07-01T12:00:00Z",
  "url": "https://moov.link/r/bwebMOhZ85"
}

x-request-id

string required
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
application/json
{
  "error": "string"
}

x-request-id

string required
A unique identifier used to trace requests.
The request contained missing or expired authentication.

x-request-id

string required
A unique identifier used to trace requests.
The user is not authorized to make the request.

x-request-id

string required
A unique identifier used to trace requests.
The requested resource was not found.

x-request-id

string required
A unique identifier used to trace requests.
The request conflicted with the current state of the target resource.
application/json
{
  "error": "string"
}

x-request-id

string required
A unique identifier used to trace requests.
The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields.
application/json
Describes validation errors for the create resolution link request.
{
  "email": "string",
  "phone": "string"
}

x-request-id

string required
A unique identifier used to trace requests.
Request was refused due to rate limiting.

x-request-id

string required
A unique identifier used to trace requests.
The request failed due to an unexpected error.

x-request-id

string required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.

x-request-id

string required
A unique identifier used to trace requests.

Headers

X-Moov-Version

string
Set this header to v2026.04.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values: v2026.04.00

Path parameters

accountID

string required

Body

application/json
Request body for creating a resolution link.

recipient

object required
The recipient contact information for the resolution link.
Contact information for the recipient of a resolution link. Provide either email or phone, but not both.
Show child attributes

email

string
The email address of the recipient.

phone

object
The phone number of the recipient.
Show child attributes

countryCode

string <=1 characters

number

string <=10 characters

Response

application/json
A temporary, secure link sent to a merchant to resolve account requirements such as KYC verification or document uploads.

accountID

string required
The ID of the merchant account this resolution link is associated with.
A unique identifier for a Moov resource. Supports UUID format (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx) or typed format with base32-encoded UUID and type suffix (e.g., kuoaydiojf7uszaokc2ggnaaaa_xfer).

code

string required
A unique nanoid identifier for the resolution link.

createdOn

string<date-time> required
The date and time the resolution link was created.

expiresOn

string<date-time> required
The date and time the resolution link expires.

partnerAccountID

string required
The ID of the partner account this resolution link is associated with.
A unique identifier for a Moov resource. Supports UUID format (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx) or typed format with base32-encoded UUID and type suffix (e.g., kuoaydiojf7uszaokc2ggnaaaa_xfer).

recipient

string required
The recipient contact information for the resolution link.

updatedOn

string<date-time> required
The date and time the resolution link was last updated.

url

string required
The URL of the resolution link.

disabledOn

string<date-time>
The date and time the resolution link was disabled, if applicable.